import 'package:epson_pdf_print_platform_interface/method_channel_epson_pdf_print.dart';
import 'package:plugin_platform_interface/plugin_platform_interface.dart';

typedef ConnectionCallback = void Function(String?);

abstract class EpsonPdfPrintPlatform extends PlatformInterface {
  static final Object _token = Object();

  EpsonPdfPrintPlatform() : super(token: _token);

  static EpsonPdfPrintPlatform _instance = MethodChannelEpsonPdfPrint();

  /// The default instance of [EpsonPdfPrintPlatform] to use.
  ///
  /// Defaults to [MethodChannelEpsonPdfPrint].
  static EpsonPdfPrintPlatform get instance => _instance;

  /// Platform-specific plugins should set this with their own platform-specific
  /// class that extends [EpsonPdfPrintPlatform] when they register themselves.
  static set instance(EpsonPdfPrintPlatform instance) {
    PlatformInterface.verify(instance, _token);
    _instance = instance;
  }

  void connectToPrinter(String ipAddress);
}
